
Infrastructure - Task #2402

Story # 2329 (Closed): Public release of web site

SSL not configured for web site login

2012-02-24 17:30 - Matthew Jones

Status: Closed Start date: 2012-02-24

Priority: High Due date:  

Assignee: Chris Allen % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The web site used to allow https connections over SSL.  It is necessary to allow secure connections to the site.  Users should not be

able to log into the site over a clear http connection.  Proposed fix:

1) Install the DataONE wildcard certificate on the web server

2) Configure SSL for the site

3) rewrite requests the login page on the http site to the equivalent page on the https site using Apache's mod_rewrite

History

#1 - 2012-02-24 17:30 - Matthew Jones

- Assignee changed from Rebecca Koskela to Chris Allen

#2 - 2012-02-24 21:23 - Chris Allen

- Status changed from New to In Progress

SSL is not recommended site wide.

In progress of implementing alternative security measures as this is a web server only with no private/confidential data.

#3 - 2012-10-04 16:42 - Chris Allen

- % Done changed from 0 to 100

This task has been completed as DataONE is running with a self signed certificate and SSL has been configured for the site by Hays Barrett at UNM

ADAC. 

#4 - 2012-10-04 16:44 - Chris Allen

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0
